Name:          plexus-pom
Version:       3.3.1
Release:       %mkrel 2 
Summary:       Root Plexus Projects POM
Group:         Development/Java
License:       ASL 2.0
URL:           https://github.com/sonatype/%{name}/
Source0:       https://github.com/sonatype/plexus-pom/archive/plexus-%{version}.tar.gz
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt
BuildArch:     noarch

BuildRequires: maven-local
BuildRequires: spice-parent

%description
The Plexus project provides a full software stack for creating and
executing software projects.  This package provides parent POM for
Plexus packages.

%prep
%setup -q -n plexus-pom-plexus-%{version}
# require: maven-site-plugin *
%pom_xpath_remove "pom:profile[pom:id='maven-3']"
# * require: org.codehaus.plexus plexus-stylus-skin 1.0
# org.apache.maven.wagon wagon-webdav-jackrabbit 1.0
%pom_remove_plugin org.apache.maven.plugins:maven-site-plugin

%pom_remove_plugin org.codehaus.mojo:findbugs-maven-plugin
%pom_remove_plugin org.codehaus.mojo:taglist-maven-plugin
cp -p %{SOURCE1} LICENSE

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE



%changelog
* Sun Sep 29 2013 dmorgan <dmorgan> 3.3.1-2.mga4
+ Revision: 488731
- Build with xmvn

* Mon Jul 08 2013 dmorgan <dmorgan> 3.3.1-1.mga4
+ Revision: 451478
- Update to 3.3.1

* Mon Jul 08 2013 dmorgan <dmorgan> 3.0.1-4.mga4
+ Revision: 451085
- Install LICENSE file

* Sun Jan 13 2013 umeabot <umeabot> 3.0.1-3.mga3
+ Revision: 377903
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 3.0.1-2.mga3
+ Revision: 292666
- Clean spec file

* Sat Mar 03 2012 gil <gil> 3.0.1-1.mga3
+ Revision: 217620
- imported package plexus-pom


* Wed Feb 08 2012 gil <gil> 3.0.1-1
- initial rpm